#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EBluetoothDeviceType {
    Invalid = 0,
    Unknown = 1,
    Phone = 2,
    Computer = 3,
    Headset = 4,
    Headphones = 5,
    Speakers = 6,
    OtherAudio = 7,
    Mouse = 8,
    Joystick = 9,
    Gamepad = 10,
    Keyboard = 11,
}

impl EBluetoothDeviceType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::Unknown as i32 => Some(Self::Unknown),
            x if x == Self::Phone as i32 => Some(Self::Phone),
            x if x == Self::Computer as i32 => Some(Self::Computer),
            x if x == Self::Headset as i32 => Some(Self::Headset),
            x if x == Self::Headphones as i32 => Some(Self::Headphones),
            x if x == Self::Speakers as i32 => Some(Self::Speakers),
            x if x == Self::OtherAudio as i32 => Some(Self::OtherAudio),
            x if x == Self::Mouse as i32 => Some(Self::Mouse),
            x if x == Self::Joystick as i32 => Some(Self::Joystick),
            x if x == Self::Gamepad as i32 => Some(Self::Gamepad),
            x if x == Self::Keyboard as i32 => Some(Self::Keyboard),
            _ => None,
        }
    }
}
